ONVIF::PTZ::Types::GetRecordingJobsResponseItem(3pm)

NAME
ONVIF::PTZ::Types::GetRecordingJobsResponseItem

DESCRIPTION
Perl data type class for the XML Schema defined complexType GetRecordingJobsResponseItem from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   JobToken

•   JobConfiguration

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::GetRecordingJobsResponseItem
   JobToken => $some_value, # RecordingJobReference
   JobConfiguration =>  { # ONVIF::PTZ::Types::RecordingJobConfiguration
     RecordingToken => $some_value, # RecordingReference
     Mode => $some_value, # RecordingJobMode
     Priority =>  $some_value, # int
     Source =>  { # ONVIF::PTZ::Types::RecordingJobSource
       SourceToken =>  { # ONVIF::PTZ::Types::SourceReference
         Token => $some_value, # ReferenceToken
       },
       AutoCreateReceiver =>  $some_value, # boolean
       Tracks =>  { # ONVIF::PTZ::Types::RecordingJobTrack
         SourceTag =>  $some_value, # string
         Destination => $some_value, # TrackReference
       },
       Extension =>  { # ONVIF::PTZ::Types::RecordingJobSourceExtension
       },
     },
     Extension =>  { # ONVIF::PTZ::Types::RecordingJobConfigurationExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL